# frozen_string_literal: true
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: internal/module/autoflow/rpc/rpc.proto

require 'google/protobuf'

require 'buf/validate/validate_pb'
require 'pkg/event/event_pb'


descriptor_data = "\n&internal/module/autoflow/rpc/rpc.proto\x12\x19gitlab.agent.autoflow.rpc\x1a\x1b\x62uf/validate/validate.proto\x1a\x15pkg/event/event.proto\"\xb2\x02\n\x11\x43loudEventRequest\x12<\n\x05\x65vent\x18\x01 \x01(\x0b\x32\x1e.gitlab.agent.event.CloudEventB\x06\xbaH\x03\xc8\x01\x01R\x05\x65vent\x12\x46\n\x0c\x66low_project\x18\x02 \x01(\x0b\x32\x1b.gitlab.agent.event.ProjectB\x06\xbaH\x03\xc8\x01\x01R\x0b\x66lowProject\x12Y\n\tvariables\x18\x03 \x03(\x0b\x32;.gitlab.agent.autoflow.rpc.CloudEventRequest.VariablesEntryR\tvariables\x1a<\n\x0eVariablesEntry\x12\x10\n\x03key\x18\x01 \x01(\tR\x03key\x12\x14\n\x05value\x18\x02 \x01(\tR\x05value:\x02\x38\x01\"\x14\n\x12\x43loudEventResponse2w\n\x08\x41utoFlow\x12k\n\nCloudEvent\x12,.gitlab.agent.autoflow.rpc.CloudEventRequest\x1a-.gitlab.agent.autoflow.rpc.CloudEventResponse\"\x00\x42xZWgitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/module/autoflow/rpc\xea\x02\x1cGitlab::Agent::AutoFlow::Rpcb\x06proto3"

pool = Google::Protobuf::DescriptorPool.generated_pool
pool.add_serialized_file(descriptor_data)

module Gitlab
  module Agent
    module AutoFlow
      module Rpc
        CloudEventRequest = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.autoflow.rpc.CloudEventRequest").msgclass
        CloudEventResponse = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.autoflow.rpc.CloudEventResponse").msgclass
      end
    end
  end
end
